- Elementary
- Main
- Authors
- Examples
- Files
- Pages
- Types
- Modules

Functions
Elementary Engine

These are functions setting and querying which rendering engine Elementary will use for drawing its windows' pixels. More...

## Functions
const char * | elm_config_engine_get (void)
| Get Elementary's rendering engine in use. More...
void | elm_config_engine_set (const char *engine)
| Set Elementary's rendering engine for use. More...
const char * | elm_config_preferred_engine_get (void)
| Get Elementary's preferred engine to use. More...
void | elm_config_preferred_engine_set (const char *engine)
| Set Elementary's preferred rendering engine for use. More...
Eina_Bool | elm_config_selection_unfocused_clear_get (void)
| Get whether selection should be cleared when entry widget is unfocused. More...
void | elm_config_selection_unfocused_clear_set (Eina_Bool enabled)
| Set whether selection should be cleared when entry widget is unfocused. More...
Eina_Bool | elm_config_mirrored_get (void)
| Get the system mirrored mode. More...
void | elm_config_mirrored_set (Eina_Bool mirrored)
| Set the system mirrored mode. More...
Eina_Bool | elm_config_clouseau_enabled_get (void)
| Get the clouseau state. More...
void | elm_config_clouseau_enabled_set (Eina_Bool enabled)
| Get the clouseau state. More...
const char * | elm_config_indicator_service_get (int rotation)
| Get the indicator service name according to the rotation degree. More...

## Detailed Description

These are functions setting and querying which rendering engine Elementary will use for drawing its windows' pixels.

The following are the available engines:

- "software_x11"
- "fb"
- "directfb"
- "software_16_x11"
- "software_8_x11"
- "xrender_x11"
- "opengl_x11"
- "software_gdi"
- "software_16_wince_gdi"
- "sdl"
- "software_16_sdl"
- "opengl_sdl"
- "buffer"
- "ews"
- "opengl_cocoa"
- "psl1ght"

## Function Documentation

Eina_Bool elm_config_clouseau_enabled_get | ( | void |  | ) |

Get the clouseau state.

EINA_TRUE if clouseau was tried to be run.

Since
  1.8

Returns
  EINA_TRUE if clouseau was tried to run, EINA_FALSE otherwise

void elm_config_clouseau_enabled_set | ( | Eina_Bool | enabled | ) |

Get the clouseau state.

EINA_TRUE if clouseau should be attempted to be run.

Since
  1.8

Parameters

  enabled | EINA_TRUE to try and run clouseau, EINA_FALSE otherwise.

const char* elm_config_engine_get | ( | void |  | ) |

Get Elementary's rendering engine in use.

Returns
  The rendering engine's name

Note
  there's no need to free the returned string, here.

This gets the global rendering engine that is applied to all Elementary applications.

See Also
  elm_config_engine_set()

void elm_config_engine_set | ( | const char * | engine | ) |

Set Elementary's rendering engine for use.

Parameters

  engine | The rendering engine's name

Note that it will take effect only to Elementary windows created after this is called.

See Also
  elm_win_add()

const char* elm_config_indicator_service_get | ( | int | rotation | ) |

Get the indicator service name according to the rotation degree.

Parameters

  rotation | The rotation which related with the indicator service name, in degrees (0-360),

Returns
  The indicator service name according to the rotation degree.

Eina_Bool elm_config_mirrored_get | ( | void |  | ) |

Get the system mirrored mode.

This determines the default mirrored mode of widgets.

Returns
  EINA_TRUE if mirrored is set, EINA_FALSE otherwise

void elm_config_mirrored_set | ( | Eina_Bool | mirrored | ) |

Set the system mirrored mode.

This determines the default mirrored mode of widgets.

Parameters

  mirrored | EINA_TRUE to set mirrored mode, EINA_FALSE to unset it.

const char* elm_config_preferred_engine_get | ( | void |  | ) |

Get Elementary's preferred engine to use.

Returns
  The rendering engine's name

Note
  there's no need to free the returned string, here.

This gets the global rendering engine that is applied to all Elementary applications and is PREFERRED by the application. This can (and will) override the engine configured for all applications which.

See Also
  elm_config_preferred_engine_set()

void elm_config_preferred_engine_set | ( | const char * | engine | ) |

Set Elementary's preferred rendering engine for use.

Parameters

  engine | The rendering engine's name

Note that it will take effect only to Elementary windows created after this is called. This overrides the engine set by configuration at application startup. Note that it is a hint and may not be honored.

See Also
  elm_win_add()

Eina_Bool elm_config_selection_unfocused_clear_get | ( | void |  | ) |

Get whether selection should be cleared when entry widget is unfocused.

Returns
  if the selection would be cleared on unfocus.

Since
  1.7

See Also
  elm_config_selection_unfocused_clear_set()

void elm_config_selection_unfocused_clear_set | ( | Eina_Bool | enabled | ) |

Set whether selection should be cleared when entry widget is unfocused.

Parameters

  enabled | If EINA_TRUE clear selection when unfocus, otherwise does not clear selection when unfocus.

Since
  1.7

See Also
  elm_config_selection_unfocused_clear_get()

Copyright ©2000-2014 Enlightenment.org - Samsung Electronics supports the EFL Documentation Project - Generated Wed Jan 8 2014 20:51:12